LibreOffice: XLibraryContainer Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XLibraryContainer Interface Referencepublished

Provides access to a library system. More...

`import"XLibraryContainer.idl";`

Inheritance diagram for XLibraryContainer:

## Public Member Functions
com::sun::star::container::XNameContainer | createLibrary ([in] string Name) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a new library. More...
com::sun::star::container::XNameAccess | createLibraryLink ([in] string Name, [in] string StorageURL, [in] boolean ReadOnly) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| Creates a link to an "external" library that then can be accessed using this library manager. More...
void | removeLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the library item with the specified name. More...
boolean | isLibraryLoaded ([in] string Name) raises ( com::sun::star::container::NoSuchElementException )
| returns true if the accessed library is already loaded from the storage, otherwise false. More...
void | loadLibrary ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| Causes the accessed library to be loaded from its storage if it hasn't already been loaded. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provides access to a library system.

## Member Function Documentation

## ◆ createLibrary()

com::sun::star::container::XNameContainer createLibrary | ( | [in] string | Name | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException
| ) |  |

Creates a new library.

## ◆ createLibraryLink()

com::sun::star::container::XNameAccess createLibraryLink | ( | [in] string | Name,
|  | [in] string | StorageURL,
|  | [in] boolean | ReadOnly
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException
| ) |  |

Creates a link to an "external" library that then can be accessed using this library manager.

The format of the StorageURL is a matter of the implementation. If the read only flag is set, the linked library cannot be modified. In this case, the returned interface really is only an XNameAccess. If ReadOnly is false (and the referenced storage allows write access) the returned interface also can be a com::sun::star::container::XNameContainer.

## ◆ isLibraryLoaded()

boolean isLibraryLoaded | ( | [in] string | Name | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

returns true if the accessed library is already loaded from the storage, otherwise false.

## ◆ loadLibrary()

void loadLibrary | ( | [in] string | Name | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Causes the accessed library to be loaded from its storage if it hasn't already been loaded.

## ◆ removeLibrary()

void removeLibrary | ( | [in] string | Name | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

removes the library item with the specified name.

If the accessed library item is a link only the link is removed, not the target library.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XLibraryContainer.idl